org.apache.hc.core5.http.impl.nio

## Class ServerHttp1StreamDuplexerFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.nio.ServerHttp1StreamDuplexerFactory

-     @Contract(threading=IMMUTABLE_CONDITIONAL)
       @Internal
      public final class ServerHttp1StreamDuplexerFactory
      extends Object

  `ServerHttp1StreamDuplexer` factory.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerHttp1StreamDuplexerFactory(HttpProcessor httpProcessor, HandlerFactory<AsyncServerExchangeHandler> exchangeHandlerFactory, Http1Config http1Config, CharCodingConfig charCodingConfig, ConnectionReuseStrategy connectionReuseStrategy, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, Http1StreamListener streamListener, Callback<Exception> exceptionCallback)`
    `ServerHttp1StreamDuplexerFactory(HttpProcessor httpProcessor, HandlerFactory<AsyncServerExchangeHandler> exchangeHandlerFactory, Http1Config http1Config, CharCodingConfig charCodingConfig, ConnectionReuseStrategy connectionReuseStrategy, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, Http1StreamListener streamListener, Callback<Exception> exceptionCallback)`
    `ServerHttp1StreamDuplexerFactory(HttpProcessor httpProcessor, HandlerFactory<AsyncServerExchangeHandler> exchangeHandlerFactory, Http1Config http1Config, CharCodingConfig charCodingConfig, Http1StreamListener streamListener, Callback<Exception> exceptionCallback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerHttp1StreamDuplexer` | `create(String scheme, ProtocolIOSession ioSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerHttp1StreamDuplexerFactory

          public ServerHttp1StreamDuplexerFactory(HttpProcessor httpProcessor,
                                                  HandlerFactory<AsyncServerExchangeHandler> exchangeHandlerFactory,
                                                  Http1Config http1Config,
                                                  CharCodingConfig charCodingConfig,
                                                  ConnectionReuseStrategy connectionReuseStrategy,
                                                  NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                                  NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                                  ContentLengthStrategy incomingContentStrategy,
                                                  ContentLengthStrategy outgoingContentStrategy,
                                                  Http1StreamListener streamListener,
                                                  Callback<Exception> exceptionCallback)

    - #### ServerHttp1StreamDuplexerFactory

          public ServerHttp1StreamDuplexerFactory(HttpProcessor httpProcessor,
                                                  HandlerFactory<AsyncServerExchangeHandler> exchangeHandlerFactory,
                                                  Http1Config http1Config,
                                                  CharCodingConfig charCodingConfig,
                                                  ConnectionReuseStrategy connectionReuseStrategy,
                                                  NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                                  NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                                  Http1StreamListener streamListener,
                                                  Callback<Exception> exceptionCallback)

    - #### ServerHttp1StreamDuplexerFactory

          public ServerHttp1StreamDuplexerFactory(HttpProcessor httpProcessor,
                                                  HandlerFactory<AsyncServerExchangeHandler> exchangeHandlerFactory,
                                                  Http1Config http1Config,
                                                  CharCodingConfig charCodingConfig,
                                                  Http1StreamListener streamListener,
                                                  Callback<Exception> exceptionCallback)

  - ### Method Detail

    - #### create

          public ServerHttp1StreamDuplexer create(String scheme,
                                                  ProtocolIOSession ioSession)

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.